Adding mods to EET after it is installed

Hello, first question in this forum :)

I am about to end a run on my current installation of EET, and I have stumbled upon some new

interesting mods I'd like to use for my next run in order to refresh things a bit.

right now my main mods include: NPC project(for bg1), SCS, Ascension, tweaks anthology, unfinished business, and a few NPC mods (Isra, Sirene)

for the next run, I'd like to add things like Aionz's warlock kit, song and silence(bard/thief kits), and romantic encounters for bg1 and 2.

However, I'm not sure how to approach this. by no means I'd like to delete everything and do the complete installation process(already had to after the 2.6 patch, it was a pain), but I hear that you can't just do it safely with the tool, only manually?

can anyone tell me what are the exact steps I need to take in order to add these mods to my game? (there was something with uninstalling EET_End, perhaps? I'm not sure)

thanks!

Comments

  • edited June 29
    You may try but I cannot guarantee success.
    - manually uninstall eet_end (run setup-eet_end.exe in the BG2EE directory and select the uninstall option.)  Note - there may be some mods being uninstalled and re-installed by that process, it is normal and no to worry.
    - extract the new mods into BG2EE as well and install them in this order
        1. BG1RE
        2. RE (this is BG2 RE)
        3. Song and Silence (this should not be used for this process because it may conflict with other mods if not installed in the correct overall sequence - depends on which other bard mods you already have...just a hint, you must decide yourself)
        4. Warlock
        5. Install again EET_end

    Important - start a new game! Do not use any saved games.
  • thank you for the quick response!

    I'll try it and update how it played out.
  • Update:
    I've tried these steps, and installation was successful(or at least that's what the console says)
    but now I get the following errors upon startup:
    [string "BGEE.lua"]:7435 unexpected string near symbol ']'
    [string "M_K#EET.lua"]:261:syntax error near 'Gate'

    I guess something got bad in the last EE_end installation. ever seen this?
  • Update:
    I've tried these steps, and installation was successful(or at least that's what the console says)
    but now I get the following errors upon startup:
    [string "BGEE.lua"]:7435 unexpected string near symbol ']'
    [string "M_K#EET.lua"]:261:syntax error near 'Gate'

    I guess something got bad in the last EE_end installation. ever seen this?
    These are errors from the GUI, which has been modified for patch 2.6. It is possible that one of the mods tries to add something to menus but is not yet fully compliant with 2.6 (I am only guessing, but I would try it without the mods 3 +4 above, I cannot see anything that the RE mods would do here).

  • I actually tinkered with it and saw that in the file bgee.lua, there is that line (7435):

    ] = "GUICHP6B"

    which obviously is a syntax error. actually, it looks like it miscopied part of the script.
    I'm trying to remove the faulty lines, see if it helps. only problem there are many bgee.lua files, so I don't really which one counts
  • I actually tinkered with it and saw that in the file bgee.lua, there is that line (7435):

    ] = "GUICHP6B"

    which obviously is a syntax error. actually, it looks like it miscopied part of the script.
    I'm trying to remove the faulty lines, see if it helps. only problem there are many bgee.lua files, so I don't really which one counts
    I think the issue is that some kit mods are sensible when it comes to installation sequence with respect to GUI modifications. They just cannot be added that late in the sequence just because of such issues (I gave that warning before but it was worth trying...)

    PS - the BGEE.lua file that is in BG2EE/override is the one that is used by the game.

  • final update:
    there were several problems. it seems that the installer kind of copied parts of the script  or wrote them twice when it shouldn't have. I removed and added in the lua files according to my old copy(I made a backup before doing all of this) and changed accordingly.
    after all this, the game now works!

    thank you for the help and the quick responses, much appreciated.
Sign In or Register to comment.